#include "Xroutines.h" 

void XSetLine (Widget drawing_board,int x,int  y ,int  w,int  z)
{
       Display * disp;
       int       screen_num;

       disp = XtDisplay(drawing_board);
       screen_num = DefaultScreen(disp);

       XDrawLine (disp, XtWindowOfObject(drawing_board),
			   DefaultGC(disp,screen_num), x, y, w, z);
}

void SetPixel(Widget drawing_board, int x, int y ){
       
       Display * disp;
       int       screen_num;

       disp = XtDisplay(drawing_board);
       screen_num = DefaultScreen(disp);


       
       XDrawPoint (disp, XtWindowOfObject(drawing_board),
			   DefaultGC(disp,screen_num), x, y);
}
